function [rota,coord1,coord2,alpha,beta,gamma,O]=local_sys_triangular(coordor)

% passaggio nel sistema cartesiano locale

point=[0,0,0;
    1,0,0;
    0,1,0];
P=zeros(3,3);
for ii=1:3
s=point(ii,1);
t=point(ii,2);
u=1-s-t;
N1 = u;
N2 = s;
N3 = t;
n=[N1,N2,N3];
P(ii,:)=n*coordor;
end
O=P(1,:);
A=P(2,:);
B=P(3,:);

rota=cart_local_triangular(O,A,B);

coord1=(rota*(coordor-[O;O;O])')';
% coord3=coord1-[coord1(2,1)];
%traslazione per ottenere il sistema di riferimento uguale a quello di
%kalker

coord2=coord1;
coord2(:,1)=coord1(:,1)-[coord1(3,1)];
% coord2=coord2-[O;O;O];

alpha=coord2(1,1);
beta=coord2(2,1);
gamma=coord2(3,2);

%punto_ex_loc=(rota*(punto_ex-[O])')'-[coord1(2,1) 0 0];
end
     